.dataset-summary {
    width: 100%;
    display: flex;
    flex-direction: column;
    align-items: center;
  }
  
  .upload-button {
    margin-bottom: 20px;
    background-color: #4CAF50; /* Green */
    border: none;
    color: white;
    padding: 15px 32px;
    text-align: center;
    text-decoration: none;
    display: inline-block;
    font-size: 16px;
    transition-duration: 0.4s;
    cursor: pointer;
  }
  
  .upload-button:hover {
    background-color: white; 
    color: black; 
    border: 2px solid #4CAF50;
  }
  
  .modal {
    display: flex;
    flex-direction: column;
    justify-content: center;
    align-items: center;
  }
  
  .dataset-table {
    margin-top: 20px;
    border-collapse: collapse;
    width: 80%;
  }
  
  .dataset-table th, .dataset-table td {
    border: 1px solid #ddd;
    padding: 8px;
    text-align: center;
  }
  
  .dataset-table tr:nth-child(even) {
    background-color: #f2f2f2;
  }
  
  .dataset-table th {
    padding-top: 12px;
    padding-bottom: 12px;
    text-align: left;
    background-color: #4CAF50;
    color: white;
  }
  

  .download-button {
    margin-bottom: 20px;
    background-color: #008CBA; /* Blue */
    border: none;
    color: white;
    padding: 15px 32px;
    text-align: center;
    text-decoration: none;
    display: inline-block;
    font-size: 16px;
    transition-duration: 0.4s;
    cursor: pointer;
  }
  
  .download-button:hover {
    background-color: white; 
    color: black; 
    border: 2px solid #008CBA;
  }
  
  /* Your previous CSS remains the same */

.selected-row {
  background-color: #bd0b0b;
}
